Subject: bug#21466: [PATCH] Avoid defining (temporarily) vars and functions

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 23 Jul 2021 15:14:41 +0200

Stefan Monnier <[email-masked]> writes:

>> Also, in place of cc-bytecomp-defun is proposed declare-function.
>> However this is in an inconsistent state, with the documentation
>> requiring a FILE argument, but Stefan's patch supplying nil.
>
> `declare-function` says:
>
>     The FILE argument is not used by the byte-compiler, but by the
>     `check-declare' package, which checks that FILE contains a
>     definition for FN.
>
> So indeed, a real FILE argument would be preferable, but passing nil
> works fine (it will simply prevent `check-declare` from making sure
> that file indeed defines that function,

I've now amended the doc string to `declare-function on the trunk to
mention this.

Alan, it sounded like you were generally positive to the patch (except
for the `declare-function' bit, which should now be clarified and the
(featurep 'xemacs))?  

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no